<?php
/**
* @author: Egor Smolyakov, 2012.
* @e-mail: mr.stelhammer@gmail.com
*/
defined('ROOT') or define('ROOT', str_replace('\\', '/', realpath(dirname (__FILE__))));
require_once ROOT . '/system/init.php'; // инициализация ядра
if(!$is_user) redir(HOST.'/login/');
page_head('Статистика переходов'); // название страницы
if(!empty($_POST['day'])) {
$sql = "`date` = '".protect($_POST['day'])."'";
} else {
$sql = "`date` = '".date('d.m.Y')."'";
}
 $querypost = DB :: run() -> query("SELECT * FROM `click_db` WHERE `user_id` = '".$user['id']."' AND $sql ORDER BY `time_click` DESC;");
 $total = DB :: run() -> querySingle("SELECT count(*) FROM `click_db` WHERE `user_id` = '".$user['id']."' AND $sql;");
 if ($total > 0) {
 echo '<div class="menu">Статистика переходов</div>';
  echo '
 <table border="1" class="menu" width="100%">
<tr>
<td><b>Оператор</b></td>
<td><b>Время перехода</b></td>
<td><b>Доход</b></td>
<td><b>Источник</b></td>
</tr>
 ';

 while ($per = $querypost -> fetch()) {
echo '<tr><td>'.$per['operator_name'].'</td><td>'.date('d.m.Y h:i:s', $per['time_click']).'</td><td>'.$per['user_plus'].' руб.</td><td>'.($per['type'] == 'teasers' ? 'Тизер' : '').($per['type'] == 'banners' ? 'Баннер' : '').($per['type'] == 'ads' ? 'Текстовая реклама' : '').($per['type'] == 'ClickUnder' ? 'ClickUnder' : '').'</td></tr>';
  }
  echo '</table>';
echo '<div class="menu">Переходов <b>'.DB :: run() -> querySingle("SELECT COUNT(*) FROM `click_db` WHERE `user_id` = '".$user['id']."' AND $sql;").'</b>, заработано <b>'.number_format(DB :: run() -> querySingle("SELECT SUM(`user_plus`) FROM `click_db` WHERE `user_id` = '".$user['id']."' AND $sql;"), 2).'</b> руб.</div>';
} else {
echo '<div class="menu">Переходов нет.</div>';
}
echo '<div class="menu">Статистика за:<br />
<form action="'.HOST.'/stat/" method="POST">
<input name="day" type="text" value="'.date('d.m.Y').'" size="9"/>
<br /><input type="submit" value="Смотреть" />
</form>
</div>';

echo '<div class="menu"><a href="'.HOST.'/">Личный кабинет</a></div>';
page_foot();
?>